﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class WordsBookletEntities : DbContext
    {
        public WordsBookletEntities()
            : base("name=WordsBookletEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Setting> Settings { get; set; }
        public virtual DbSet<Wordbook> Wordbooks { get; set; }
        public virtual DbSet<NounsDetail> NounsDetails { get; set; }
        public virtual DbSet<NounsHeader> NounsHeaders { get; set; }
        public virtual DbSet<VariationsDetail> VariationsDetails { get; set; }
        public virtual DbSet<VariationsHeader> VariationsHeaders { get; set; }
        public virtual DbSet<VerbsDetail> VerbsDetails { get; set; }
        public virtual DbSet<VerbsHeader> VerbsHeaders { get; set; }
        public virtual DbSet<ExpressionsDetail> ExpressionsDetails { get; set; }
        public virtual DbSet<ExpressionsHeader> ExpressionsHeaders { get; set; }
    }
}
